INCLUDES = -I$(srcdir)/../share -I../share -I$(srcdir)/../ui -I$(srcdir)/../buttons \
	-I$(top_srcdir)/libkonq -I$(top_builddir)/kicker/share $(all_includes)

noinst_LTLIBRARIES = libkicker_core.la

libkicker_core_la_SOURCES = main.cpp kicker.cpp kicker.skel \
	userrectsel.cpp containerarea.cpp \
	applethandle.cpp container_base.cpp container_button.cpp \
	container_applet.cpp container_extension.cpp extensionmanager.cpp \
	menumanager.cpp pluginmanager.cpp showdesktop.cpp \
	unhidetrigger.cpp containerarealayout.cpp paneldrag.cpp \
	panelextension.cpp panelextension.skel \
	extensionSettings.kcfgc

libkicker_core_la_LDFLAGS = $(all_libraries)
libkicker_core_la_LIBADD = $(top_builddir)/libkonq/libkonq.la $(LIB_KDEUI)
libkicker_core_la_METASOURCES = AUTO
libkicker_core_la_COMPILE_FIRST = ../share/kickerSettings.h

kicker_core_data_DATA = default-apps
kicker_core_datadir = $(kde_datadir)/kicker

lnkdir = $(kde_datadir)/kicker/extensions
lnk_DATA = childpanelextension.desktop

kicker.lo: ../share/kickerSettings.h
showdesktop.lo: ../share/kickerSettings.h
container_applet.lo: ../share/kickerSettings.h
containerarea.lo: ../share/kickerSettings.h
container_extension.lo: ../share/kickerSettings.h

